loglevel.h File Reference

This header defines the LogLevel type. More...

`#include <log4cplus/config.hxx>`
`#include <vector>`
`#include <log4cplus/tstring.h>`
Include dependency graph for loglevel.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::LogLevelManager
| This class is used to "manage" LogLevel definitions. More...

## Namespaces

namespace | log4cplus

## Typedefs

typedef int | log4cplus::LogLevel
| Defines the minimum set of priorities recognized by the system, that is `FATAL_LOG_LEVEL`, `ERROR_LOG_LEVEL`, `WARN_LOG_LEVEL`, `INFO_LOG_LEVEL`, `DEBUG_LOG_LEVEL`, and `TRACE_LOG_LEVEL`.
typedef log4cplus::tstring const &(* | log4cplus::LogLevelToStringMethod) (LogLevel)
| This method type defined the signature of methods that convert LogLevels into strings.
typedef LogLevel(* | log4cplus::StringToLogLevelMethod) (const log4cplus::tstring &)
| This method type defined the signature of methods that convert strings into LogLevels.

## Functions

LOG4CPLUS_EXPORT LogLevelManager & | log4cplus::getLogLevelManager ()
| Returns the singleton LogLevelManager.

## Variables

const LogLevel | log4cplus::OFF_LOG_LEVEL = 60000
| The `OFF_LOG_LEVEL` LogLevel is used during configuration to turn off logging.
const LogLevel | log4cplus::FATAL_LOG_LEVEL = 50000
| The `FATAL_LOG_LEVEL` LogLevel designates very severe error events that will presumably lead the application to abort.
const LogLevel | log4cplus::ERROR_LOG_LEVEL = 40000
| The `ERROR_LOG_LEVEL` LogLevel designates error events that might still allow the application to continue running.
const LogLevel | log4cplus::WARN_LOG_LEVEL = 30000
| The `WARN_LOG_LEVEL` LogLevel designates potentially harmful situations.
const LogLevel | log4cplus::INFO_LOG_LEVEL = 20000
| The `INFO_LOG_LEVEL` LogLevel designates informational messages that highlight the progress of the application at coarse-grained level.
const LogLevel | log4cplus::DEBUG_LOG_LEVEL = 10000
| The `DEBUG_LOG_LEVEL` LogLevel designates fine-grained informational events that are most useful to debug an application.
const LogLevel | log4cplus::TRACE_LOG_LEVEL = 0
| The `TRACE_LOG_LEVEL` LogLevel is used to "trace" entry and exiting of methods.
const LogLevel | log4cplus::ALL_LOG_LEVEL = TRACE_LOG_LEVEL
| The `ALL_LOG_LEVEL` LogLevel is used during configuration to turn on all logging.
const LogLevel | log4cplus::NOT_SET_LOG_LEVEL = -1
| The `NOT_SET_LOG_LEVEL` LogLevel is used to indicated that no particular LogLevel is desired and that the default should be used.

## Detailed Description

This header defines the LogLevel type.

Definition in file loglevel.h.